Package org.gradle.api.problems

# Interface Problems

@Incubating @ServiceScope(org.gradle.internal.service.scopes.Scope.BuildTree.class) public interface Problems
Problems API service.

The main purpose of this API is to allow clients to create, configure, and report problems in a centralized way.

Reported problems are exposed via build operation progress events, which then are converted to Tooling API progress events.

Clients should expect that in future Gradle versions the reported problems will appear in console messages, reports, etc.

Since:
  8.6

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ProblemReporter`
  `getReporter()`
  Return a problem reporter associated with a plugin.

- ## Method Details

  - ### getReporter

    ProblemReporter getReporter()
    Return a problem reporter associated with a plugin.
    Returns:
      The problem reporter.
    Since:
      8.11